Bug 473491 - unchecked malloc
unchecked malloc
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ftp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 15:10 EST by mpachary
Modified: 2014-11-09 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-01 07:41:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mpachary 2008-11-28 15:10:20 EST
Description of problem:

unchecked malloc
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

 ./netkit-ftp-0.17/ftp/ruserpass.c:139:					*aname = malloc((unsigned) strlen(tokval) + 1); ### return value of malloc, *aname, passed to strcpy without checking.  
 ./netkit-ftp-0.17/ftp/ruserpass.c:160:				*apass = malloc((unsigned) strlen(tokval) + 1); ### return value of malloc, *apass, passed to strcpy without checking.

Note You need to log in before you can comment on or make changes to this bug.